Bug 6169 - Inventory tool fails when ignoreissued set
Summary: Inventory tool fails when ignoreissued set
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Jared Camins-Esakov
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-11 18:05 UTC by Jared Camins-Esakov
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1.29 KB, patch)
2011-04-11 18:09 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2011-04-11 18:05:34 UTC
Due to incorrect parameters passed to C4::Items::GetItemsForInventory, checking the "Skip copies on loan" box results in the inventory failing to run.
Comment 1 Jared Camins-Esakov 2011-04-11 18:09:45 UTC
Created attachment 3882 [details] [review]
proposed patch
Comment 2 Colin Campbell 2011-04-12 10:09:17 UTC
A good example of why subroutines with lots of positional parameters are problematic. Use named parameters if creating them
Comment 3 Chris Cormack 2011-04-12 10:20:25 UTC
Patch pushed, please test
Comment 4 Jared Camins-Esakov 2011-07-08 14:42:19 UTC
Seems to be working now. Closing.